% RA: factorizacion.in
% Factorización en Otter
% Departamento de Ciencias de la Computación e Inteligencia Artificial
% Universidad de Sevilla
%==============================================================================


%==============================================================================
% Formalización
%==============================================================================

set(auto2).
set(very_verbose).

list(sos).
 q(z) | p(x,y) | p(a,y).
 p(x,y) | p(a,z) | p(x,b) | -q(a,y,x).
end_of_list.

%==============================================================================
